# STELLA-Q test code i2c_bus_scan

# STELLA bus addresses
# listing available at https://learn.adafruit.com/i2c-addresses/the-list

# 0x30 -- NeoKey 1X4 keyboard
# 0x44 -- SHT31 Humidity/Temperature Sensor
# 0x68 -- clock: Real time clock - PCF8523
# 0x70 -- 4 channel MUX (behind the MUX we put the 4 digit 7 segment display, the NIR spectral sensor, and the VIS spectral sensor.
# 0x77 -- 4 digit 7 segment display, modified by shorting A0, A1, A2 jumpers.

# expect i2c addresses found: ['0x30', '0x44', '0x68', '0x70', '0x77']

import time
import board
import busio

try:
    i2c = busio.I2C(board.SCL, board.SDA)
    print( "i2c bus initialized" )
except ValueError as err:
    print( "i2c bus fail to initialize, {}".format(err) )

while not i2c.try_lock():
    print( "i2c bus failure" )
    time.sleep(2)

loop_count = 0
while True:
    print("loop count {}".format(loop_count), end=' -- ')
    print("i2c addresses found:", [hex(device_address)
                                   for device_address in i2c.scan()])
    time.sleep(1)
    loop_count += 1



